STRUCT REGULATOR_LIN(9)

NAME
struct_regulator_linear_range - specify linear voltage ranges

SYNOPSIS

struct regulator_linear_range {
  unsigned int min_uV;
  unsigned int min_sel;
  unsigned int max_sel;
  unsigned int uV_step;
};

MEMBERS

min_uV
    Lowest voltage in range

min_sel
    Lowest selector for range

max_sel
    Highest selector for range

uV_step
    Step size

DESCRIPTION

Specify a range of voltages for regulator_map_linar_range and regulator_list_linear_range.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT